## org.mortbay.http
Interface SSORealm

All Known Implementing Classes:
  HashSSORealm, HashUserRealm

public interface SSORealm

Single Sign On Realm. This interface is a mix-in interface for the UserRealm interface. If an implementation of UserRealm also implements SSORealm, then single signon is supported for that realm.

Version:
  $Id: SSORealm.java,v 1.1 2003/05/25 13:45:26 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  `UserRealm`

Method Summary
`void` `clearSingleSignOn(java.lang.String username)` Clear SSO for user.
`Credential` `getSingleSignOn(HttpRequest request, HttpResponse response)` Get SSO credentials.
`void` `setSingleSignOn(HttpRequest request, HttpResponse response, UserPrincipal principal, Credential credential)` Set SSO principal and credential.

Method Detail

### getSingleSignOn

    public Credential getSingleSignOn(HttpRequest request,
                                      HttpResponse response)

  Get SSO credentials. This call is used by an authenticator to check if a SSO exists for a request. If SSO authentiation is successful, the requests UserPrincipal and AuthUser fields are set. If available, the credential used to authenticate the user is returned. If recoverable credentials are not required then null may be return.

  Parameters:
    `request` - The request to SSO.
    `response` - The response to SSO.
  Returns:
    A credential if available for SSO authenticated requests.

### setSingleSignOn

    public void setSingleSignOn(HttpRequest request,
                                HttpResponse response,
                                UserPrincipal principal,
                                Credential credential)

  Set SSO principal and credential. This call is used by an authenticator to inform the SSO mechanism that a user has signed on. The SSO mechanism should record the principal and credential and update the response with any cookies etc. required.

  Parameters:
    `request` - The authenticated request.
    `response` - The authenticated response/
    `principal` - The principal that has been authenticated.
    `credential` - The credentials used to authenticate.

### clearSingleSignOn

    public void clearSingleSignOn(java.lang.String username)

  Clear SSO for user.

  Parameters:
    `username` - The user to clear.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.